'\" -*- coding: utf-8 -*-
.if \n(.g .ds T< \\FC
.if \n(.g .ds T> \\F[\n[.fam]]
.de URL
\\$2 \(la\\$1\(ra\\$3
..
.if \n(.g .mso www.tmac
.TH x2goumount-session 8 "Nov 2018" "Version 4.1.0.3" "X2Go Server Tool"
.SH NAME
x2goumount-session \- Unshare mounted Folders from X2Go Session
.SH SYNOPSIS
'nh
.fi
.ad l
x2goumount-session <session_id> [<local_path_on_client>]

.SH DESCRIPTION
\fBx2goumount-session\fR is used to unshare client folders from X2Go session with session ID <session_id>.
Shared folders have been previously mounted into the X2Go session by the \fBx2gomountdirs\fR command.
.PP
\fBx2goumount-session\fR is run with X2Go user privileges and normally issued by an X2Go client application.
.SH ARGUMENTS
.TP
\*(T<\fB\<session_id>\fR\*(T>
Unmount shared folder(s) as registered for X2Go session ID <session_id> in the X2Go session database.
.TP
\*(T<\fB\<local_path_on_client>\fR\*(T>
Optionally, you can name a local path name (path name as found on the client-side) here. If given,
only the named folder is unshared from the X2Go session <session_id>.
.PP
If this optional argument is omitted, then ALL session folders will be unshared (including spool folders for printing and MIME box).
.SH RETURN VALUES
.SH RETURN VALUES
By \fBx2goumount-session\fR nothing is reported on stdout or stderr.
.PP
As exitcode \fBx2goumount-session\fR return 0 on successful an umount action. If there is a failure during
unmounting a shared folder a non-zero exit code is returned.
.SH SEE ALSO
x2gomountdirs(8)
.SH AUTHOR
This manual has been written by Mike Gabriel <mike.gabriel@das-netzwerkteam.de> for the X2Go project
(https://www.x2go.org).
